/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 * http://www.jcuda.org
 *
 * Copyright 2009-2012 Marco Hutter - http://www.jcuda.org
 */

package org.jcuda.samples.matrix.cg;

import jcuda.driver.CUdeviceptr;

/**
 * Interface for a dense matrix that stores float values on the device
 */
public interface FloatMatrixDeviceDense extends Matrix, DeviceData
{
    /**
     * Returns the data 
     * 
     * @return The data 
     */
    CUdeviceptr getData();
}
